Subject: Re: [PATCH] list-objects-filter: merge filter data structs

From: Matthew DeVore <[email-masked]>
Date: Thu, 30 May 2019 12:05:34 -0700

On Wed, May 29, 2019 at 04:57:23PM -0400, Jeff Hostetler wrote:
> I'd also suggest keeping the "oidset omits" inside each of the
> sub-structures, but that's just me.

I just reminded myself that the omits need to be outside of the specialized
sub-structures because the combine filter logic needs to access them in a
type-agnostic manner in order to merge them once the traversal is over.